.featured h1 {
  padding: 0.5rem;
}

.featured-post {
  background-color: #0b515f;
  border-radius: 10px;
  margin-top: 10px;
  margin-bottom: 10px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.4), 0 6px 20px 0 rgba(0, 0, 0, 0.2);
}

.featured-post:hover img {
  transition: all ease 0.2s;
  opacity: 0.7;
  border-radius: 10px;
}

.featured-post h3 {
  padding: 0px 0px 20px 10px;
}

.latest-posts h2 {
  padding: 0.5rem;
}

.carousel-wrapper {
  width: 100%;
  overflow: hidden;
  background-color: #0b515f;
  border-radius: 10px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.4), 0 6px 20px 0 rgba(0, 0, 0, 0.2);
}

.carousel-slider {
  display: flex;
  transition: transform 0.3s ease-in-out;
  gap: 5px;
}

.post-index {
  flex: 0 0 calc(75% - 10px);
  padding: 0.5rem;
}

.post-index:hover img {
  transition: all ease 0.2s;
  opacity: 0.7;
  border-radius: 10px;
}

.slider-controls {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 10px;
}

.prev-btn,
.next-btn {
  padding: 5px 10px;
  background-color: #0b515f;
  color: #fff;
  border-radius: 5px;
  border-style: none;
  cursor: pointer;
  font-size: 1rem;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.4), 0 6px 20px 0 rgba(0, 0, 0, 0.2);
}

.prev-btn:hover,
.next-btn:hover {
  opacity: 0.7;
  border-radius: 5px;
}

.more-posts h3 {
  padding: 0.5rem;
}

.other-posts {
  background-color: #0b515f;
  padding: 1rem;
  border-radius: 10px;
  margin-top: 10px;
  margin-bottom: 10px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.4), 0 6px 20px 0 rgba(0, 0, 0, 0.2);
}

.other-posts:hover img {
  transition: all ease 0.2s;
  opacity: 0.7;
  border-radius: 10px;
}

.click-more-posts {
  font-size: 1rem;
  padding: 5px 10px;
  background-color: #0b515f;
  color: #fff;
  border-radius: 5px;
  border: 1px solid #fff;
  float: right;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.4), 0 6px 20px 0 rgba(0, 0, 0, 0.2);
}

.click-more-posts:hover {
  opacity: 0.7;
  border-radius: 5px;
}
